@charset "UTF-8";

/* ====================================
	ベース
==================================== */
:root {
	--color-text: #222;
	--color-text-heading: #444;
	--color-yellow-bg: #ffdf47;
	--color-yellow-heading: #ffec91;
	--color-green-bg: #fbfdec;
	--color-green-heading: #ddf5cf;
	--color-link: #0d7ace;
	--color-border: #888;
	--base-w: calc(100% - 60px);
	--logo-w: 250px;
	--font-eng: "Poppins";
}

@media (min-width: 768px) {
	:root {
		--base-w: calc(100% - 120px);
		--logo-w: 500px;
	}
}
@media (min-width: 1025px) {
	:root {
		--base-w: 1000px;
		--logo-w: auto;
	}
}

address{ font-style: normal; }
*, *::before, *::after { box-sizing: border-box; }
ul,ol,li{ list-style: none; }
a { color: var(--color-text); }
html {
	font-size: 62.5%;
	scroll-behavior: smooth;
}

body {
	margin: 0;
	padding: 0;
	font-family: "Noto Sans JP", sans-serif;
	font-size: 1.6rem;
	letter-spacing: .1em;
	line-height: 2;
	color: var(--color-text);
	overflow-x: hidden;
	-webkit-text-size-adjust: 100%;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

@media (max-width: 1024px) {
	img{
		width: 100%;
		height: auto;
	}
}

/* ヒーローイメージ */
.l-hero{
	background: url(../../img/teaser/hero-bg-sp.webp) no-repeat center top / cover;
}

@media (min-width: 1025px) {
	.l-hero{
		background: url(../../img/teaser/hero-bg.webp) no-repeat center top / cover;
	}
}

/* インナー */
.l-inner,
.l-inner--wide{
	width: var(--base-w);
	margin: 0 auto;
}

@media (min-width: 1025px) {
	.l-inner--wide{
		width: calc(100vw - 14rem);
		max-width: calc(var(--base-w) + 260px);
	}
}

/* セクション区切り */
.u-skew-left,
.u-skew-right{ position: relative; }
.u-skew-left::before,
.u-skew-right::before {
	content: "";
	width: 100vw;
	height: 50px;
	position: absolute;
	top: -49px;
	left: 0;
}
.u-skew-left::before {
	clip-path: polygon(0 0, 100% 100%, 0 100%);
}
.u-skew-right::before {
	clip-path: polygon(100% 0, 100% 100%, 0 100%);
}

@media (min-width: 1025px) {
.u-skew-left::before,
.u-skew-right::before {
	height: 80px;
	top: -79px;
}
}

/* セクション背景色 */
.u-bg-yellow {
	background: var(--color-yellow-bg);
}
.u-bg-yellow::before {
	background: var(--color-yellow-bg);
}
.u-bg-green {
	background: var(--color-green-bg);
}
.u-bg-green::before {
	background: var(--color-green-bg);
}

/* 見出し */
h2{
	letter-spacing: .05em;
	color: var(--color-text-heading);
	font-size: clamp(2rem, 6vw, 2.4rem);
}
.heading--main{
	height: calc(100% + 10px);
	margin: 0 auto;
	display: flex;
	align-items: flex-end;
	letter-spacing: .2em;
	position: relative;
	z-index: 1;
}
.heading--main .heading__text{
	line-height: 1.2;
	position: absolute;
	bottom: -5px;
}
.heading--main .heading__sub{
	line-height: 6.5rem;
	letter-spacing: .04em;
	font-size: 6.5rem;
	font-family: var(--font-eng);
}
.u-bg-yellow .heading--main .heading__sub{
	color: var(--color-yellow-heading);
}
.u-bg-green .heading--main .heading__sub{
	color: var(--color-green-heading);
}
.heading--right{
	text-align: right;
	justify-content: right;
}
.heading--right .heading__sub{
	right: 0;
}

@media (min-width: 768px) {
	h2{
		font-size: 3rem;
	}
	.heading--main .heading__text{
		bottom: -2px;
	}
	.heading--main .heading__sub{
		line-height: 8rem;
		font-size: 8rem;
	}
}

@media (min-width: 1025px) {
	h2{
		font-size: 3.8rem;
	}
	.heading--main .heading__text{
		bottom: -2px;
	}
	.heading--main .heading__sub{
		line-height: 14rem;
		font-size: 14rem;
	}
}

/* フェードインアニメーション */

.fadein-up,
.fadein-left,
.fadein-right{
	opacity: 0;
	transition: opacity .6s ease, transform .6s ease;
}

/* 下から上 */
.fadein-up {
	transform: translateY(60px);
}

.fadein-up.is-active {
	opacity: 1;
	transform: translateY(0);
}

/* 左から右 */
.fadein-left {
	transform: translateX(-60px);
}

/* 右から左 */
.fadein-right {
	transform: translateX(60px);
}
.fadein-left.is-active,
.fadein-right.is-active {
	opacity: 1;
	transform: translateX(0);
}

/* アニメーション付きイラスト */
.u-balloon01 {
	width: clamp(60px, 10vw, 114px);
	aspect-ratio: 114 / 248;
	background: url(../../img/teaser/illust-balloon01.png) no-repeat center/contain;
}
.u-balloon02 {
	width: clamp(60px, 10vw, 111px);
	aspect-ratio: 111 / 260;
	background: url(../../img/teaser/illust-balloon02.png) no-repeat center/contain;
}
.u-balloon03 {
	width: clamp(80px, 15vw, 196px);
	aspect-ratio: 196 / 374;
	background: url(../../img/teaser/illust-balloon03.png) no-repeat center/contain;
}
.u-people01 {
	width: clamp(120px, 20vw, 255px);
	aspect-ratio: 255 / 212;
	background: url(../../img/teaser/illust-people01.png) no-repeat center/contain;
}
.u-people02 {
	width: clamp(120px, 20vw, 277px);
	aspect-ratio: 277 / 198;
	background: url(../../img/teaser/illust-people02.png) no-repeat center/contain;
}
.u-train {
	width: clamp(150px, 30vw, 397px);
	aspect-ratio: 397 / 121;
	background: url(../../img/teaser/illust-train.png) no-repeat center/contain;
}

@media (min-width: 1025px) {
	.u-balloon01 {
		width: clamp(60px, 10vw, 114px);
	}
	.u-balloon02 {
		width: clamp(60px, 10vw, 111px);
	}
	.u-balloon03 {
		width: clamp(80px, 15vw, 196px);
	}
	.u-people01 {
		width: clamp(120px, 20vw, 255px);
	}
	.u-people02 {
		width: clamp(120px, 20vw, 277px);
	}
	.u-train {
		width: clamp(150px, 30vw, 397px);
	}
}

/* ====================================
	コンテンツ
==================================== */

/*---------------------------------
	読み込み時ロゴ
---------------------------------*/
.p-loader{
	width: 100%;
	height: 100svh;
	display: flex;
	align-items: center;
	justify-content: center;
	background: #fff;
	position: fixed;
	top: 0;
	overflow: hidden;
	transition: transform 1s ease, opacity 0.8s ease;
	z-index: 99;
}
.p-loader img{
	width: var(--logo-w);
	height: auto;
}
.p-loader.hide {
	transform: translateY(-100%);
	pointer-events: none;
}
.p-loader .logo {
	opacity: 0;
	animation: logoFadeIn 1s forwards 0.6s;
}
@keyframes logoFadeIn {
	to { opacity: 1; }
}

/*---------------------------------
	メインビジュアル
---------------------------------*/
.p-mv{
	min-height: 100svh;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}
.p-mv h1 img{
	width: clamp(315px,50vw, 768px);
	height: auto;
}
.scroll-down {
	height: 140px;
	display: flex;
	justify-content: center;
	align-items: center;
	overflow: hidden;
	position: absolute;
	top: calc(100svh - 160px);
	right: 0;
}
.scroll-down a {
	position: relative;
	width: 140px;
	height: 140px;
	transition: opacity .4s ease-in;
}
.scroll-down a img,
.scroll-down a::before{
	position: absolute;
}
.scroll-down a img{
	width: 100%;
	height: 100%;
	animation: scroll-rotate 20s linear infinite;
}
.scroll-down a::before{
	content: "";
	width: 24px;
	height: 24px;
	top: 50%;
	left: 50%;
	background: url(../../img/teaser/scroll-arrow.svg) no-repeat center center / 100%;
	transform: translate(-50%, -50%);
	animation: scroll-down-arrow 2s infinite;
}
@keyframes scroll-down-arrow {
	0% {
		transform: translate(-50%, -50%) translateY(-10px);
		opacity: 0;
	}
	30% {
		opacity: 1;
	}
	100% {
		transform: translate(-50%, -50%) translateY(10px);
		opacity: 0;
	}
}
@keyframes scroll-rotate {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

@media (min-width: 768px) {
	.p-mv h1 img{
		width: clamp(315px,80vw, 768px);
	}
}

@media (min-width: 1025px) {
	.p-mv h1 img{
		width: clamp(200px, 50vw, 1002px);
	}
	.scroll-down {
		height: clamp(140px, 20vw, 260px);
		top: calc(100svh - clamp(140px, 20vw, 260px));
		right: 70px;
	}
	.scroll-down a {
		width: clamp(140px, 20vw, 260px);
		height: clamp(140px, 20vw, 260px);
	}
	.scroll-down a::before{
		width: 45px;
		height: 45px;
	}
}

@media (any-hover: hover) {
	.scroll-down a:hover {
		opacity: .4;
	}
}

/*---------------------------------
	お知らせ
---------------------------------*/
.p-news{
	padding-bottom: 150px;
}
.p-news article{
	margin-top: 15px;
	padding: 15px;
	border: 2px solid var(--color-link);
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 6px 50px;
	background: #fff;
}
.p-news article time{
	font-weight: 700;
}
.p-news article a{
	transition: color .4s ease-in;
}

@media (min-width: 1025px) {
	.p-news{
		padding-bottom: 200px;
	}
	.p-news article{
		margin-top: 30px;
		padding: 25px 40px;
		border-width: 4px;
		gap: 15px 50px;
	}
}

@media (any-hover: hover) {
	.p-news a:hover {
		color: var(--color-link);
		text-decoration: none;
	}
}

/*---------------------------------
	ロゴデザイン
---------------------------------*/
.p-logodesign .l-inner{
	padding: 50px 0 clamp(150px, 40vw, 260px);
	position: relative;
}
.p-logodesign figure{
	margin-top: 30px;
}
.p-logodesign figure div{
	padding: 30px 0;
	border: 1px solid var(--color-border);
	display: flex;
	align-items: center;
	justify-content: center;
	background: #fff;
}
.p-logodesign figure img{
	width: var(--logo-w);
}
.p-logodesign figcaption{
	margin-top: 20px;
}
.p-logodesign ul li{
	padding-left: 1em;
	font-size: 1.8rem;
	text-indent: -1em;
}
.p-logodesign ul li + li{
	margin-top: 8px;
}
.p-logodesign ul li::before{
	content: "・";
}
.p-logodesign .u-balloon01{
	position: absolute;
	bottom: 55px;
	right: -20px;
	z-index: 1;
}
.p-logodesign .u-people01{
	position: absolute;
	bottom: 0;
	right: 20px;
	z-index: 1;
	transition: opacity 1s ease, transform 1s ease;
}

@media (min-width: 1025px) {
	.p-logodesign .l-inner{
		padding: 120px 0 260px;
	}
	.p-logodesign figure{
		margin-top: 50px;
	}
	.p-logodesign figure div{
		padding: 42px 0;
	}
	.p-logodesign figcaption{
		margin-top: 40px;
	}
	.p-logodesign ul li{
		font-size: 2rem;
	}
	.p-logodesign .u-balloon01{
		bottom: 150px;
		right: -130px;
	}
	.p-logodesign .u-people01{
		right: -60px;
	}
}
/*---------------------------------
	リニューアルイメージ
---------------------------------*/
.p-renewal{
	padding-top: 60px;
}
.p-renewal,
.p-renewal::before{
	background-image: url("../../img/teaser/pattern-bg.png");
	background-repeat: repeat;
}
.p-renewal .slider-main{
	margin: 30px auto 0;
}
.p-renewal .slider-main img{
	width: 100%;
	height: auto;
}
.p-renewal .l-inner{
	padding-bottom: 200px;
	position: relative;
}
.p-renewal .splide__track--nav>.splide__list>.splide__slide,
.p-renewal .splide__track--nav>.splide__list>.splide__slide.is-active{
	border: none;
}
.p-renewal .slider-thumbnail{
	margin-top: 30px;
}
.p-renewal .slider-thumbnail ul{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 10px;
}
.p-renewal .slider-thumbnail ul img{
	width: 100%;
	height: auto;
}
.p-renewal .slider-thumbnail ul li{ aspect-ratio: 2 / 1; }
.p-renewal .slider-thumbnail + p{
	margin-top: 20px;
	padding-left: 1em;
	text-indent: -1em;
}
.p-renewal .u-balloon02{
	position: absolute;
	bottom: 50px;
	left: 0;
	z-index: 1;
}
.p-renewal .u-people02{
	position: absolute;
	bottom: 0;
	left: 20px;
	z-index: 1;
	transition: opacity 1s ease, transform 1s ease;
}

@media (min-width: 768px){
	.p-renewal .slider-thumbnail + p{
		text-align: right;
	}
}

@media (min-width: 768px) and (max-width: 1024px) {
	.p-renewal .l-inner{
		padding-bottom: 280px;
	}
	.p-renewal .slider-thumbnail ul{
		grid-template-columns: repeat(4, 1fr);
	}
}

@media (min-width: 1025px) {
	.p-renewal{
		padding-top: 150px;
	}
	.p-renewal .slider-main{
		max-width: 1400px;
		margin: 50px auto 0;
	}
	.p-renewal .l-inner{
		padding-bottom: 260px;
	}
	.p-renewal .slider-thumbnail{
		margin-top: 60px;
	}
	.p-renewal .slider-thumbnail ul{
		display: flex;
		justify-content: space-between;
		gap: 0;
	}
	.p-renewal .slider-thumbnail li{
		transition: opacity .4s ease-in;
	}
	.p-renewal .slider-thumbnail + p{
		margin-top: 50px;
	}
	.p-renewal .u-balloon02{
		bottom: 180px;
		left: -140px;
	}
	.p-renewal .u-people02{
		left: -70px;
	}
}

@media (any-hover: hover) {
	.p-renewal .slider-thumbnail li:hover {
		opacity: .4;
	}
}

/*---------------------------------
	MEICHIKA(メイチカ)
---------------------------------*/
.p-about .l-inner--wide{
	padding: 60px 0 230px;
	position: relative;
}
.p-about .heading--main{
	letter-spacing: .16em;
}
.p-about .p-about__body{
	margin-top: 40px;
	font-size: 1.8rem;
}
.p-about .l-inner--wide::after {
	content: "";
	position: absolute;
	right: -20px;
	bottom: 20px;
	width: clamp(150px, 30vw, 503px);
	aspect-ratio: 503 / 406;
	background: url(../../img/teaser/illust-station.webp) no-repeat center/contain;
	z-index: 1;
}
.p-about .u-balloon03{
	position: absolute;
	bottom: 18vw;
	right: -20px;
	z-index: 2;
}
.p-about .u-train{
	position: absolute;
	bottom: 0;
	left: 0;
	z-index: 2;
}

@media (min-width: 768px) {
	.p-about .p-about__body{
		width: calc(100% - 150px);
	}
}
@media (min-width: 1025px) {
	.p-about .l-inner--wide{
		padding: 100px 0 270px;
	}
	.p-about .p-about__body{
		width: 690px;
		margin-top: 50px;
		line-height: 2.6;
		font-size: 2rem;
	}
	.p-about .l-inner--wide::after {
		right: -70px;
		bottom: 45px;
		width: clamp(180px, 30vw, 503px);
		aspect-ratio: 503 / 406;
	}
	.p-about .u-balloon03{
		bottom: 310px;
		right: 0;
	}
	.p-about .u-train{
		left: 130px;
	}
}
/*---------------------------------
	フッター
---------------------------------*/
.l-footer .l-inner{
	padding: 60px 0;
	display: flex;
	flex-wrap: wrap;
	gap: 30px 50px;
	justify-content: center;
}
.l-footer .l-inner div dl{
	margin-top: 30px;
	letter-spacing: .05em;
	display: flex;
	flex-wrap: wrap;
	gap: 10px 25px;
}
.l-footer .l-inner div dl dt{
	display: flex;
	align-items: center;
	gap: 0 10px;
	font-size: 2rem;
	font-weight: 700;
}
.l-footer .l-inner div dl dt::before{
	content: "";
	width: 20px;
	height: 1px;
	display: block;
	background: #bbb;
}
.l-footer .l-inner > img{
	max-width: 450px;
	outline: 1px solid var(--color-border);
}
.l-footer small{
	width: 100%;
	padding: 18px 30px;
	display: block;
	text-align: center;
	line-height: 1;
	font-size: 1.2rem;
	background: #ffe53a;
}

@media (min-width: 1025px) {
	.l-footer .l-inner{
		padding: 120px 0;
		justify-content: space-between;
	}
	.l-footer .l-inner div{ width: 500px; }
	.l-footer .l-inner div dl{
		margin-top: 70px;
		align-items: center;
		justify-content: space-between;
	}
	.l-footer .l-inner div dl dt{
		justify-content: space-between;
		gap: 0 35px;
		font-size: 2rem;
	}
	.l-footer .l-inner div dl dt::before{
		width: 40px;
	}
	.l-footer .l-inner div dl dd{
		font-size: 1.8rem;
	}
	.l-footer small{
		padding: 18px 0;
		font-size: 1.4rem;
	}
}